Last Comment Bug 680594 - Remove contrib/yp_nomail.sh
: Remove contrib/yp_nomail.sh
Status: RESOLVED FIXED
:
Product: Bugzilla
Classification: Server Software
Component: Bugzilla-General (show other bugs)
: 4.3
: All All
: -- enhancement (vote)
: Bugzilla 4.2
Assigned To: Frédéric Buclin
: default-qa
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-19 16:18 PDT by Frédéric Buclin
Modified: 2011-08-27 02:21 PDT (History)
1 user (show)
mkanat: approval+
mkanat: approval4.2+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch, v1 (2.38 KB, patch)
2011-08-19 16:23 PDT, Frédéric Buclin
no flags Details | Diff | Splinter Review
patch, v1.1 (4.74 KB, patch)
2011-08-20 10:14 PDT, Frédéric Buclin
mkanat: review+
Details | Diff | Splinter Review

Description Frédéric Buclin 2011-08-19 16:18:54 PDT
contrib/yp_nomail.sh populates data/nomail with accounts marked as disabled in the passwd file. But data/nomail has been killed 5 years ago in Bugzilla 3.0, see bug 100953. So this means this script is of no use since 2006 and nobody ever complained, which is a good indication of its popularity. We should simply remove this script from our repo.
Comment 1 Frédéric Buclin 2011-08-19 16:23:09 PDT
Created attachment 554578 [details] [diff] [review]
patch, v1

If someone wants to rewrite a similar script using the perl language and interacting with the DB via our User methods, he should feel free to do so. But this script as is must go away.
Comment 2 Frédéric Buclin 2011-08-20 10:14:00 PDT
Created attachment 554644 [details] [diff] [review]
patch, v1.1

Let's also remove obsolete scripts from contrib/README.
Comment 3 Frédéric Buclin 2011-08-27 02:21:20 PDT
Committing to: bzr+ssh://lpsolit%40gmail.com@bzr.mozilla.org/bugzilla/trunk/
modified contrib/README
removed contrib/yp_nomail.sh
Committed revision 7939.

Committing to: bzr+ssh://lpsolit%40gmail.com@bzr.mozilla.org/bugzilla/4.2/
modified contrib/README
removed contrib/yp_nomail.sh
Committed revision 7911.

Note You need to log in before you can comment on or make changes to this bug.